import json

from content import Read,Write



#========================================================================

class Read_Json(Read):

#========================================================================
    mime_type="json"
    #----------------------------------------------------------------

    def onRead(self,content=None,**args):

        yield json.loads(content)

    #----------------------------------------------------------------

    def onPostprocess(self,result=None,**args):

        node=result.children[0]
        node.parent=None
        result.destroy()

        return node

    #----------------------------------------------------------------


#========================================================================

class Write_Json(Write):

#========================================================================


    #----------------------------------------------------------------

    def onWrite(self,node=None,**args):

        yield json.dumps(dict(node))

    #----------------------------------------------------------------

#========================================================================
